Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class LinearFormatter

    java.lang.Object
      ru.biosoft.math.model.LinearFormatter

All Implemented Interfaces:
  Formatter

Direct Known Subclasses:
  PiecewiseExtFormatter

public class LinearFormatter
extends java.lang.Object
implements Formatter

Field Summary
`protected java.lang.String` | `endl`
`protected java.lang.StringBuffer` | `result`

Constructor Summary
`LinearFormatter()`

Method Summary
`java.lang.String[]` | `format(AstStart start)`
`protected java.lang.String` | `getFunctionName(java.lang.String name)`
`boolean` | `needParenthis(AstFunNode node)`
`protected void` | `processConstant(AstConstant node)`
`protected void` | `processFunction(AstFunNode node)`
`protected void` | `processFunctionDeclaration(AstFunctionDeclaration node)`
`protected void` | `processNode(Node node)`
`protected void` | `processPiece(AstPiece node)`
`protected void` | `processPiecewise(AstPiecewise node)`
`protected void` | `processVariable(AstVarNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected java.lang.StringBuffer result

### endl

    protected java.lang.String endl

Constructor Detail

### LinearFormatter

    public LinearFormatter()

Method Detail

### format

    public java.lang.String[] format(AstStart start)

  Specified by:
    `format` in interface `Formatter`

### processNode

    protected void processNode(Node node)

### processConstant

    protected void processConstant(AstConstant node)

### processVariable

    protected void processVariable(AstVarNode node)

### processFunction

    protected void processFunction(AstFunNode node)

### getFunctionName

    protected java.lang.String getFunctionName(java.lang.String name)

### needParenthis

    public boolean needParenthis(AstFunNode node)

### processFunctionDeclaration

    protected void processFunctionDeclaration(AstFunctionDeclaration node)

### processPiecewise

    protected void processPiecewise(AstPiecewise node)

### processPiece

    protected void processPiece(AstPiece node)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.